Package fr.gouv.vitam.common.model.objectgroup

# Class DbVersionsModel

java.lang.Object
fr.gouv.vitam.common.model.objectgroup.DbVersionsModel

public class DbVersionsModel extends Object
DbVersionsModel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DbVersionsModel()`
  `DbVersionsModel(String id, String dataObjectProfile, String dataObjectVersion, String dataObjectGroupId, DbFormatIdentificationModel formatIdentificationModel, DbFileInfoModel fileInfoModel, MetadataModel metadata, long size, String uri, String messageDigest, String algorithm, DbStorageModel storage, PhysicalDimensionsModel physicalDimensionsModel, String physicalId, OtherMetadata otherMetadata, String opi)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAlgorithm()`
  `String`
  `getDataObjectGroupId()`
  `Integer`
  `getDataObjectNumber()`
  `String`
  `getDataObjectProfile()`
  `String`
  `getDataObjectUse()`
  `String`
  `getDataObjectVersion()`
  `DbFileInfoModel`
  `getFileInfoModel()`
  `DbFormatIdentificationModel`
  `getFormatIdentificationModel()`
  `String`
  `getId()`
  `String`
  `getMessageDigest()`
  `MetadataModel`
  `getMetadata()`
  `String`
  `getOpi()`
  `OtherMetadata`
  `getOtherMetadata()`
  `List<PersistentIdentifierModel>`
  `getPersistentIdentifier()`
  `PhysicalDimensionsModel`
  `getPhysicalDimensionsModel()`
  `String`
  `getPhysicalId()`
  `long`
  `getSize()`
  `DbStorageModel`
  `getStorage()`
  `String`
  `getUri()`
  `int`
  `hashCode()`
  `static DbVersionsModel`
  `newVersionsFrom(DbVersionsModel that, DbFormatIdentificationModel format)`
  `static DbVersionsModel`
  `newVersionsFrom(DbVersionsModel that, OtherMetadata otherMetadata)`
  `void`
  `setAlgorithm(String algorithm)`
  `void`
  `setDataObjectGroupId(String dataObjectGroupId)`
  `void`
  `setDataObjectNumber(Integer dataObjectNumber)`
  `void`
  `setDataObjectProfile(String dataObjectProfile)`
  `void`
  `setDataObjectUse(String dataObjectUse)`
  `void`
  `setDataObjectVersion(String dataObjectVersion)`
  `void`
  `setFileInfoModel(DbFileInfoModel fileInfoModel)`
  `void`
  `setFormatIdentificationModel(DbFormatIdentificationModel formatIdentificationModel)`
  `void`
  `setId(String id)`
  `void`
  `setMessageDigest(String messageDigest)`
  `void`
  `setMetadata(MetadataModel metadata)`
  `void`
  `setOpi(String opi)`
  `void`
  `setOtherMetadata(OtherMetadata otherMetadata)`
  `void`
  `setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)`
  `void`
  `setPhysicalDimensionsModel(PhysicalDimensionsModel physicalDimensionsModel)`
  `void`
  `setPhysicalId(String physicalId)`
  `void`
  `setSize(long size)`
  `void`
  `setStorage(DbStorageModel storage)`
  `void`
  `setUri(String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DbVersionsModel

    public DbVersionsModel()

  - ### DbVersionsModel

    public DbVersionsModel(String id, String dataObjectProfile, String dataObjectVersion, String dataObjectGroupId, DbFormatIdentificationModel formatIdentificationModel, DbFileInfoModel fileInfoModel, MetadataModel metadata, long size, String uri, String messageDigest, String algorithm, DbStorageModel storage, PhysicalDimensionsModel physicalDimensionsModel, String physicalId, OtherMetadata otherMetadata, String opi)

- ## Method Details

  - ### newVersionsFrom

    public static DbVersionsModel newVersionsFrom(DbVersionsModel that, OtherMetadata otherMetadata)

  - ### newVersionsFrom

    public static DbVersionsModel newVersionsFrom(DbVersionsModel that, DbFormatIdentificationModel format)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getDataObjectVersion

    public String getDataObjectVersion()

  - ### setDataObjectVersion

    public void setDataObjectVersion(String dataObjectVersion)

  - ### getDataObjectGroupId

    public String getDataObjectGroupId()

  - ### setDataObjectGroupId

    public void setDataObjectGroupId(String dataObjectGroupId)

  - ### getFormatIdentificationModel

    public DbFormatIdentificationModel getFormatIdentificationModel()

  - ### setFormatIdentificationModel

    public void setFormatIdentificationModel(DbFormatIdentificationModel formatIdentificationModel)

  - ### getFileInfoModel

    public DbFileInfoModel getFileInfoModel()

  - ### setFileInfoModel

    public void setFileInfoModel(DbFileInfoModel fileInfoModel)

  - ### getMetadata

    public MetadataModel getMetadata()

  - ### setMetadata

    public void setMetadata(MetadataModel metadata)

  - ### getSize

    public long getSize()

  - ### setSize

    public void setSize(long size)

  - ### getUri

    public String getUri()

  - ### setUri

    public void setUri(String uri)

  - ### getMessageDigest

    public String getMessageDigest()

  - ### setMessageDigest

    public void setMessageDigest(String messageDigest)

  - ### getAlgorithm

    public String getAlgorithm()

  - ### setAlgorithm

    public void setAlgorithm(String algorithm)

  - ### getStorage

    public DbStorageModel getStorage()

  - ### setStorage

    public void setStorage(DbStorageModel storage)

  - ### getPhysicalDimensionsModel

    public PhysicalDimensionsModel getPhysicalDimensionsModel()

  - ### setPhysicalDimensionsModel

    public void setPhysicalDimensionsModel(PhysicalDimensionsModel physicalDimensionsModel)

  - ### getPhysicalId

    public String getPhysicalId()

  - ### setPhysicalId

    public void setPhysicalId(String physicalId)

  - ### getOtherMetadata

    public OtherMetadata getOtherMetadata()

  - ### setOtherMetadata

    public void setOtherMetadata(OtherMetadata otherMetadata)

  - ### getOpi

    public String getOpi()

  - ### setOpi

    public void setOpi(String opi)

  - ### getDataObjectProfile

    public String getDataObjectProfile()

  - ### setDataObjectProfile

    public void setDataObjectProfile(String dataObjectProfile)

  - ### getPersistentIdentifier

    public List<PersistentIdentifierModel> getPersistentIdentifier()

  - ### setPersistentIdentifier

    public void setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)

  - ### getDataObjectUse

    public String getDataObjectUse()

  - ### setDataObjectUse

    public void setDataObjectUse(String dataObjectUse)

  - ### getDataObjectNumber

    public Integer getDataObjectNumber()

  - ### setDataObjectNumber

    public void setDataObjectNumber(Integer dataObjectNumber)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`